Public Member Functions | Private Types | List of all members
libetonyek::PAG1XMLContextBase< Base > Class Template Reference

`#include <PAG1XMLContextBase.h>`

Inheritance diagram for libetonyek::PAG1XMLContextBase< Base >:

## Public Member Functions
| PAG1XMLContextBase (PAG1ParserState &state)
template<typename T1 >
| PAG1XMLContextBase (PAG1ParserState &state, T1 arg1)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, PAG1ParserState, PAGCollector >
| IWORKXMLContextBase (PAG1ParserState &state)
| IWORKXMLContextBase (PAG1ParserState &state, const T &a)
PAG1ParserState & | getState ()

## Private Types
typedef IWORKXMLContextBase< Base, PAG1ParserState, PAGCollector > | Parent_t

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, PAG1ParserState, PAGCollector >
PAGCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, PAG1ParserState, PAGCollector >
PAG1ParserState & | m_state

## Member Typedef Documentation

## ◆ Parent_t

template<class Base>

typedef IWORKXMLContextBase<Base, PAG1ParserState, PAGCollector> libetonyek::PAG1XMLContextBase< Base >::Parent_t
| private

## Constructor & Destructor Documentation

## ◆ PAG1XMLContextBase() [1/2]

template<class Base>

libetonyek::PAG1XMLContextBase< Base >::PAG1XMLContextBase | ( | PAG1ParserState & | state | ) |
| inline explicit

## ◆ PAG1XMLContextBase() [2/2]

template<class Base>
template<typename T1 >

libetonyek::PAG1XMLContextBase< Base >::PAG1XMLContextBase | ( | PAG1ParserState & | state,
|  | T1 | arg1
| ) |  |
| inline

The documentation for this class was generated from the following file:

- PAG1XMLContextBase.h